using Nirvana.Common;
using Nirvana.Common.ApiBase;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Waste.Domain;

namespace Waste.Application
{
    public interface ISystemService
    {
        Task<List<W_Menu>> GetMenuListAsync(Guid roleid);

        Task<List<W_Menu>> GetMenuListAsync();

        Task<string> GetMenuTreeJson(QueryParams param);

        Task<ResultInfo> DeleteMenuAsync(Guid id);

        Task<ResultInfo> SubmitFormMenuAsync(W_Menu model);

        Task<W_Menu> MenuDetailAsync(Guid id);
        /// <summary>
        /// 获取城市列表
        /// </summary>
        /// <param name="code">国标码</param>
        /// <param name="level">级别</param>
        /// <returns></returns>
        Task<List<W_AreaInfo>> GetCityListAsync(string code = "", int level = 1);
        /// <summary>
        /// 获取城市列表
        /// </summary>
        /// <returns></returns>
        Task<List<CityListModel>> GetListAsync();
    }
}